com.sun.grid.jgdi.event

## Class EventType

- java.lang.Object
- - com.sun.grid.jgdi.event.EventType

- All Implemented Interfaces:
    java.io.Serializable

      public class EventType
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EventType` | `SGE_EMA_ADD`
    `static EventType` | `SGE_EMA_DEL`
    `static EventType` | `SGE_EMA_LIST`
    `static EventType` | `SGE_EMA_MOD`
    `static EventType` | `SGE_EMA_TRIGGER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventType(int type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getType()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SGE_EMA_LIST

          public static final EventType SGE_EMA_LIST

    - #### SGE_EMA_ADD

          public static final EventType SGE_EMA_ADD

    - #### SGE_EMA_MOD

          public static final EventType SGE_EMA_MOD

    - #### SGE_EMA_DEL

          public static final EventType SGE_EMA_DEL

    - #### SGE_EMA_TRIGGER

          public static final EventType SGE_EMA_TRIGGER

  - ### Constructor Detail

    - #### EventType

          public EventType(int type)

  - ### Method Detail

    - #### getType

          public final int getType()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.